Bug 66258 - language selection generates bogus ks.cfg files
language selection generates bogus ks.cfg files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ksconfig (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Brent Fox
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-06 16:30 EDT by Robert P. J. Day
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-19 02:00:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2002-06-06 16:30:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
  when you first start ksconfig, its default language selection is
english, and if you do a "Save File" to examine the generated ks.cfg
file, everything looks fine.

  but if you switch to a different language, language support in the
generated file will include, not just the newly-selected language,
but "en_US" (english u.s.) as well.  why?

  on top of that, if you start by selecting a new language right
away, check "Save File", then switch back to english, that second
language is still listed in langsupport.  it's as if, the first
time you do a "Save File", whatever language is currently selected,
you're stuck with no matter what you do from then on.  ksconfig
clearly has some kind of internal memory and insists on holding
on to that first selection.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run ksconfig
2."Save File", look at generated ks.cfg
3.select another language, "Save File", look at generated ks.cfg again
	

Actual Results:  the original language is still (incorrectly) listed in langsupport

Expected Results:  once you deselect a language, it should be dropped from
langsupport

Additional info:
Comment 1 Brent Fox 2002-06-28 17:44:58 EDT
Ok, I think I've got it fixed now.  Kickstart's behavior with langsupport is a
little weird anyway, so it's kind of tricky to get right.  ksconfig-2.2-2 should
appear in Rawhide soon.  Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.